Name:           libXcomposite
Version:        0.4.5
Release:        1
License:        MIT
Summary:        X Composite Extension library
URL:            http://www.x.org
Source0:        https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2
BuildRequires:  xorg-x11-util-macros autoconf automake libtool
BuildRequires:  pkgconfig(compositeproto) >= 0.4
BuildRequires:  pkgconfig(xfixes) pkgconfig(xext)

%description
X Composite Extension library

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -ivf
%configure --disable-static
%make_build

%install
%make_install
%delete_la_and_a

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc AUTHORS
%license COPYING
%{_libdir}/libXcomposite.so.1
%{_libdir}/libXcomposite.so.1.0.0

%files          devel
%defattr(-,root,root)
%{_includedir}/X11/extensions/Xcomposite.h
%{_libdir}/libXcomposite.so
%{_libdir}/pkgconfig/xcomposite.pc

%files          help
%defattr(-,root,root)
%doc README.md ChangeLog
%{_mandir}/man3/*.3*

%changelog
* Wed Aug 19 2020 zhanzhimin <zhanzhimin@huawei.com> - 0.4.5-1
- upgrade to version 0.4.5

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.4.4-17
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license file

* Tue Sep 3 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.4.4-16
- Package init
